%define module	xmldiff
%define name	python-%{module}
%define version 0.6.7
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Python classes to diff XML files
Source:		ftp://ftp.logilab.org/pub/xmldiff/%{module}-%{version}.tar.bz2
URL:		http://www.logilab.org/projects/xmldiff
License:	GPL
Group:		File tools
BuildRequires:	python
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
XMLdiff is a python tool that figures out the differences between two similar
XML files, in the same way the diff utility does it for text files. It was
developed for the Narval project and could also be used as a library or as a
command line tool. It can work either with XML files or DOM trees

%prep
%setup -q -n %{module}-%{version}

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
rm -rf $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/%{module}/test
chmod 755 $RPM_BUILD_ROOT%{_bindir}/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog DEPENDS README README.xmlrev TODO
%{_bindir}/*
%{_datadir}/sgml/stylesheet/%{module}
%{_libdir}/python%{pyver}/site-packages/%{module}

%changelog
* Fri May 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-2mdk 
- fix spec name
- don't add PKG-INFO in documentation

* Fri May 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-1mdk 
- first mdk release
